for nrun = 1:3
   clear F
loadthis=strcat(' tempoktodelete',num2str(nrun))
unix(strcat('grep WTVAP ',loadthis,' > tempoktodeletegrepped'));
a = importdata('tempoktodeletegrepped')
wtvap = a.data;
unix(strcat('grep PTOT ',loadthis,' > tempoktodeletegrepped'));
a = importdata('tempoktodeletegrepped')
ptot = a.data;
unix(strcat('grep FSiO2 ',loadthis,' > tempoktodeletegrepped'));
a = importdata('tempoktodeletegrepped')
F(1,:) = a.data;
unix(strcat('grep FMgO ',loadthis,' > tempoktodeletegrepped'));
a = importdata('tempoktodeletegrepped')
F(2,:) = a.data;
unix(strcat('grep FFeO ',loadthis,' > tempoktodeletegrepped'));
a = importdata('tempoktodeletegrepped')
F(3,:) = a.data;
unix(strcat('grep FCaO ',loadthis,' > tempoktodeletegrepped'));
a = importdata('tempoktodeletegrepped')
F(4,:) = a.data;
unix(strcat('grep FAl2O3 ',loadthis,' > tempoktodeletegrepped'));
a = importdata('tempoktodeletegrepped')
F(5,:) = a.data;
unix(strcat('grep FTiO2 ',loadthis,' > tempoktodeletegrepped'));
a = importdata('tempoktodeletegrepped');
F(6,:) = a.data;
unix(strcat('grep FNa2O ',loadthis,' > tempoktodeletegrepped'));
a = importdata('tempoktodeletegrepped');
F(7,:) = a.data;
unix(strcat('grep FK2O ',loadthis,' > tempoktodeletegrepped'));
a = importdata('tempoktodeletegrepped');
F(8,:) = a.data;
figure(1);plot(wtvap,F(:,2:(length(wtvap)+1))','LineWidth',nrun);hold on;
set(gca,'FontSize',22)
legend('SiO2','MgO','FeO','CaO','Al2O3','TiO2','Na2O','K2O')
xlabel('Fraction of silicate vaporized','FontSize',22)
ylabel('Mole fraction in remaining silicate','FontSize',22)
%Partial molar volumes from Bottinga and Weill, Am J Sci 1970:
%density = sum(mole fraction * gram formula weight / partial molar volume)
%1600 deg C, their Table 5. Units cm^3/mole.
%SiO2, MgO, FeO, CaO, Al2O3, TiO2, Na2O, K2O
%except for TiO2 which is from Lange & Carmichael GCA 1987 for 1873K.
vp = [26.86, 12.12, 13.2, 17.10, 38.16, 24.6, 30.27, 38.75]; %volume
aw = [60, 40, 71.8, 56, 102, 79.9, 62, 94]; %oxide weight
dpo = 1e6./vp.*aw./1e3;%density of pure oxide

for l = 1:max(size(F))
silicatedensity(l)=sum(F(:,l)'.*aw*1000)/sum(F(:,l)'.*vp);
end

figure(2);plot(wtvap,silicatedensity(2:(length(wtvap)+1)),'LineWidth',nrun);grid minor;hold on
xlabel('Fraction of silicate vaporized','FontSize',22)
set(gca,'FontSize',22)
ylabel('Density of remaining magma (kg/m^3)','FontSize',22)
figure(3);plot(wtvap,log10(ptot(1:(length(wtvap)))),'LineWidth',nrun);grid minor;hold on
set(gca,'FontSize',22)
xlabel('Fraction of silicate vaporized','FontSize',22)
ylabel('Total pressure of vapor-pressure equilibrium atmosphere (bar)','FontSize',22)
end